import { EditOtherUserDto } from "../../common/models/edit-other-user-dto";
import { Result } from "../../fd-app-toolbox/models/result";
import { CrudAction } from "../../../fd-toolbox/enums/enums";
export declare function createUserWithSettings(editOtherUserDto: EditOtherUserDto): Promise<void>;
export declare function editUser(editOtherUserDto: EditOtherUserDto): Promise<Result>;
export declare function checkUserPermission(action: CrudAction): Promise<void>;
